Como ya os contábamos el otro día, se han introducido algunos significativos cambios internos en las versiones de desarrollo tipo Next de NVDA, concretamente la transición a WXPython 4.0 como preludio a la que se realizará a largo plazo hacia Python3.
Se a notificado que hay más complementos de uso muy extendido, además de NVDARemote, del que ya hablamos el otro día y acerca del cual no hay más noticias, afectados por este cambio, es decir, que no funcionarán a partir de las últimas versiones Next, o que no lo harán como deberían. Específicamente, se han reportado errores con ReadFeeds (en el que, según la autora, se corregirán cuando WXPython pase al siguiente nivel de pruebas, esto es, las versiones de tipo Master) y Braille Extender (en el que se corregirán con la próxima versión).
Si estás usando una de las últimas versiones de desarrollo tipo Next y alguno de los complementos instalados falla, informa tan pronto como sea posible al desarrollador o, si esto no da resultado, a la comunidad, a fin de que los revisores de complementos puedan verificar y anunciar, si fuese necesario, la incompatibilidad del complemento hasta que se actualice. Recuerda que una copia portable de la versión Next de NVDA es totalmente válida para reportar este tipo de errores (puedes descargar el archivo que te permitirá instalar o crear una copia portable de NVDA Next desde la primera tabla en el siguiente enlace).
Por otro lado, ya tenemos los primeros complementos que han anunciado que no serán compatibles con versiones utilizando WXPython 3 a partir de la salida de la primera versión estable que utilice WXPython 4, que será aún en varios meses. Concretamente, ocurrirá esto con Enhanced Touch Gestures, Golden Cursor, Station Playlist Studio y Windows10 App Essentials. La compatibilidad se eliminará en versiones de estos complementos liberadas a partir de los 30 días posteriores a la disponibilidad de la primera versión estable que incorpore WXPython 4.
Recordamos también a los desarrolladores que para que su complemento sea compatible con versiones estables de NVDA a partir de aquella que incorpore WXPython 4 tendrán que actualizar su código en caso de ser necesario.
Por último, no olvides que puedes contactar con nosotros para resolver cualquier duda. Este tema es bastante lioso o confuso, con tanta versión de por medio, y es fundamental que todos comprendamos el alcance que tiene o puede tener esta transición y la prevista hacia Python3.

Autor: Iván Novegil Cancelas

Estudiante pontevedrés ciego. Usuario Windows+NVDA y Apple (iOS, MacOS) con VoiceOver. Aficionado al software libre. Celtista. Usuario Centos. Radioyente. Contribuí a NVDA en los proyectos NVDARemote (traducción gallega), WeatherPlus (traducción gallega) y LAMBDA (autor, traducciones española y gallega y colaboración en la tabla braille española). PHP básico. Soy uno de los integrantes de eso a lo que llaman IT en una de esas cosas que se hacen llamar tifloradios. Escribo cosas que unos señores han dado en llamar artículos, en Accesibilidad Apple Internacional. Más sobre mí Envíame un correo a [email protected]

Un comentario en “Se necesita ayuda de la comunidad: seguimiento de complementos no compatibles con WXPython 4.0”

Deja un comentario